CREATE TABLE PLAYLIST_SONG_ASSOCIATION
(
ENTRY BIGINT GENERATED BY DEFAULT AS IDENTITY,
PLAYLIST_ID BIGINT NOT NULL REFERENCES PLAYLIST(ID) ON DELETE CASCADE,
SONG_ID BIGINT NOT NULL REFERENCES SONGS(ID) ON DELETE CASCADE,
PRIMARY KEY(PLAYLIST_ID, SONG_ID)
);